StdKeySerializers.EnumKeySerializer
Date: 2016-12-04

com.fasterxml.jackson.databind.ser.std

## Class StdKeySerializers.EnumKeySerializer

- java.lang.Object
- - com.fasterxml.jackson.databind.JsonSerializer<T>
  - - com.fasterxml.jackson.databind.ser.std.StdSerializer<java.lang.Object>
    - - com.fasterxml.jackson.databind.ser.std.StdKeySerializers.EnumKeySerializer

- All Implemented Interfaces:
    JsonFormatVisitable, SchemaAware, java.io.Serializable
  Enclosing class:
    StdKeySerializers

      public static class StdKeySerializers.EnumKeySerializer
      extends StdSerializer<java.lang.Object>

  Specialized instance to use for Enum keys, as per [databind#1322]
  Since:
    2.8
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `JsonSerializer.None`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected EnumValues` | `_values`

    - ### Fields inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `StdKeySerializers.EnumKeySerializer(java.lang.Class<?> enumType, EnumValues values)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StdKeySerializers.EnumKeySerializer` | `construct(java.lang.Class<?> enumType, EnumValues enumValues)`
    `void` | `serialize(java.lang.Object value, com.fasterxml.jackson.core.JsonGenerator g, SerializerProvider serializers)` Method that can be called to ask implementation to serialize values of type this serializer handles.

    - ### Methods inherited from class com.fasterxml.jackson.databind.ser.std.StdSerializer

      `acceptJsonFormatVisitor, createObjectNode, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class com.fasterxml.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, serializeWithType, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _values

          protected final EnumValues _values

  - ### Constructor Detail

    - #### StdKeySerializers.EnumKeySerializer

          protected StdKeySerializers.EnumKeySerializer(java.lang.Class<?> enumType,
                                             EnumValues values)

  - ### Method Detail

    - #### construct

          public static StdKeySerializers.EnumKeySerializer construct(java.lang.Class<?> enumType,
                                                      EnumValues enumValues)

    - #### serialize

          public void serialize(java.lang.Object value,
                       com.fasterxml.jackson.core.JsonGenerator g,
                       SerializerProvider serializers)
                         throws java.io.IOException

      Description copied from class: `JsonSerializer`
      Method that can be called to ask implementation to serialize values of type this serializer handles.
      Specified by:
        `serialize` in class `StdSerializer<java.lang.Object>`
      Parameters:
        `value` - Value to serialize; can not be null.
        `g` - Generator used to output resulting Json content
        `serializers` - Provider that can be used to get serializers for serializing Objects value contains, if any.
      Throws:
        `java.io.IOException`